#include <bits/stdc++.h>
using namespace std;
int n;
 double profit[500005];
 double zarada[500005],procenat[500005];
int main(){
cin>>n;
for(int i=1;i<=n;i++){
    cin>>zarada[i]>>procenat[i];
}
 
for(int k=1;k<=n;k++){

    for(int i=1;i<=n;i++){
        if(procenat[k]<=procenat[i] ){
          profit[k] = (profit[k]+zarada[i])*procenat[k]/100;
          
        }
      
    }
}
 double maxi=profit[1];
for(int i=1;i<=n;i++){
    if(maxi<profit[i]){
        maxi=profit[i];
    }
}
cout<<setprecision(5)<<fixed;
cout<<maxi<<endl;

return 0;
}